using System;
using System.Collections.Generic;
using System.Data.Entity.ModelConfiguration;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace GreenTree.Nachtragsmanagement.Data.Mapping.User
{
    public class FunctionMap : EntityTypeConfiguration<Core.Domain.User.Function>
    {
        public FunctionMap()
        {
            ToTable("Function");

            HasKey(f => f.Id);

            Property(f => f.Name);
            Property(f => f.Description);
            Property(f => f.GroupName);
            Property(f => f.ImageUrl);
            Property(f => f.RouteName);
            Property(f => f.IsMenuMember);
            Property(f => f.Plugin);
            Property(f => f.BaseWidth);
            Property(f => f.MinWidth);
            Property(f => f.BaseHeight);
            Property(f => f.MinHeight);
            Property(f => f.AllowMaximize);
            Property(f => f.MaximizedOnStart);
        }
    }
}